#define I2C_DRIVERID_DECODER 4	/* until defined in i2c.h */


struct video_decoder_capability { /* this name is too long */
	__u32	flags;
#define	VIDEO_DECODER_PAL	1	/* can decode PAL signal */
#define	VIDEO_DECODER_NTSC	2	/* can decode NTSC */
#define	VIDEO_DECODER_SECAM	4	/* can decode SECAM */
#define	VIDEO_DECODER_AUTO	8	/* can autosense norm */
#define	VIDEO_DECODER_CCIR	16	/* CCIR-601 pixel rate (720 pixels per line) instead of square pixel rate */
	int	inputs;			/* number of inputs */
};

/*
DECODER_GET_STATUS returns the following flags.  The only one you need is
DECODER_STATUS_GOOD, the others are just nice things to know.
*/
#define	DECODER_STATUS_GOOD	1	/* receiving acceptable input */
#define	DECODER_STATUS_25HZ	2	/* detected a 625 line 25 FPS signal */
#define	DECODER_STATUS_30HZ	4	/* detected a 525 line 30 FPS signal */
#define	DECODER_STATUS_COLOR	8	/* receiving color information */


#define	DECODER_DUMP		_IO('d', 0)		/* debug hook */
#define	DECODER_GET_CAPABILITIES _IOW('d', 1, struct video_decoder_capability)
#define	DECODER_GET_STATUS    	_IOW('d', 2, int)
#define	DECODER_SET_NORM	_IOR('d', 3, int)
#define	DECODER_GET_NORM	_IOW('d', 4, int)
#define	DECODER_SET_INPUT	_IOR('d', 5, int)	/* 0 <= input < #inputs */
#define	DECODER_GET_INPUT	_IOW('d', 6, int)	/* 0 <= input < #inputs */
#define	DECODER_SET_OUTPUT	_IOR('d', 7, int)	/* boolean output enable control */
#define	DECODER_GET_OUTPUT	_IOW('d', 8, int)	/* boolean output enable control */
#define	DECODER_SET_PICTURE   	_IOR('d', 9, struct video_picture)
#define	DECODER_GET_PICTURE   	_IOW('d', 10, struct video_picture)

